var mm_adl_API = null;
var MAX_PARENTS_TO_SEARCH = 500;
function ScanParentsForApi(win)
{
     
      var nParentsSearched = 0;
      while ( (win.API == null) &&
                  (win.parent != null) && (win.parent != win) &&
                  (nParentsSearched <= MAX_PARENTS_TO_SEARCH)
              )
      {
                       
            nParentsSearched++;
            win = win.parent;
			//alert(nParentsSearched);
      }
      return win.API;
}

function GetApi()
{
     
      var API = null;
     
      if ((window.parent != null) && (window.parent != window))
      {
            API = ScanParentsForApi(window.parent);
      }
      if ((API == null) && (window.top.opener != null))
      {
            API = ScanParentsForApi(window.top.opener);
      }
     
      return API;
}


function mm_adlOnload()
{
  if (mm_adl_API != null)
  {
    mm_adl_API.LMSInitialize("");
	
	pagina_actual = mm_adl_API.LMSGetValue("cmi.core.lesson_location");
	var url = window.location.pathname;
	var filename = url.substring(url.lastIndexOf('/')+1);
	
	if(pagina_actual!='' && pagina_actual!=filename){ 
	filename = pagina_actual;
	window.location = filename;
	
        } 
	}
  
}



function mm_adlOnunload()
{
  if (mm_adl_API != null)
  {
//	   mm_adl_API.LMSInitialize("");
	   
	 var url = window.location.pathname;
var filename = url.substring(url.lastIndexOf('/')+1);
if (mm_adl_API != null)
{
	
mm_adl_API.LMSSetValue("cmi.core.lesson_location", filename);
//alert(filename);
mm_adl_API.LMSCommit("");
mm_adl_API.LMSFinish("");
}
  }
}

 
mm_adl_API = GetApi();



///////////////////////////////////////////////sergio////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////

function puntos_scom(idTestGral){
	
//alert("puntos_scorm "+idTestGral);
if (mm_adl_API != null)
{
// mm_adl_API.LMSInitialize("");	
respuestas = mm_adl_API.LMSGetValue("cmi.suspend_data");
if(respuestas=='') {
// SI NO EXISTE NINGUNA RESPUESTA CREAMOS LA VARIABLE
respuestas = '0;0:0;0:0;0:0;0:0;0:0;0:0;0:0;0:0;0:0;0:0;0:0;0:0;0';
mm_adl_API.LMSSetValue("cmi.suspend_data", respuestas);
mm_adl_API.LMSCommit("");
} else {
// COLOCAMOS LA RESPUESTA ANTERIOR
mm_respuesta = respuestas.split(':');
datos_respuesta = mm_respuesta[idTestGral].split(';');
id_respuesta = datos_respuesta[0];
valor_respuesta = datos_respuesta[1];

//if(id_respuesta!=0) { 
//if(document.getElementById(id_respuesta)) {
//document.getElementById(id_respuesta).click();
//}
//}
}
}	
};



function pintar_test(idRespuesta, ActCode, idTestGral){
//alert("pintar_test");
//alert("idgral"+idTestGral);
var mm_test_position = idTestGral;

if (mm_adl_API != null)
{

//respuestas = mm_adl_API.GetValue("cmi.suspend_data");

//if(respuestas=='') {
// SI NO EXISTE NINGUNA RESPUESTA CREAMOS LA VARIABLE
//respuestas = '0;0:0;0:0;0:0;0:0;0:0;0:0;0:0;0:0;0:0;0:0;0:0;0:0;0';
//mm_adl_API.SetValue("cmi.suspend_data", respuestas);
//mm_adl_API.Commit("");
//};

mm_respuesta = respuestas.split(':');
datos_respuesta = mm_respuesta[idTestGral-1].split(';');
id_respuesta = datos_respuesta[0];

if (id_respuesta == 0){
mm_respuesta[idTestGral-1] = ActCode + ';' + idRespuesta ;
}
respuestas = mm_respuesta.join(':');
mm_adl_API.LMSSetValue("cmi.suspend_data", respuestas);
mm_adl_API.LMSCommit("");
}////fin

pintar_estrellas_scorm(idRespuesta, idTestGral, ActCode);	
//alert("respuesta"+respuestas);
};//////////////fin resolver scorm


function pintar_estrellas_scorm(idRespuesta, idTestGral, ActCode){
	
//alert("pintar_estrellas_scorm");
//alert(mm_adl_API.LMSGetValue("cmi.suspend_data"));

nota = 0;
if (mm_adl_API != null)
{
// mm_adl_API.LMSInitialize("");		
//respuestas = mm_adl_API.GetValue("cmi.suspend_data");

//alert(respuestas+"entra en API");

//if(respuestas=='') {
//alert("entra en respuesta == ''");	
// SI NO EXISTE NINGUNA RESPUESTA CREAMOS LA VARIABLE
//respuestas = '0;0:0;0:0;0:0;0:0;0:0;0:0;0:0;0:0;0:0;0:0;0:0;0:0;0';
//mm_adl_API.SetValue("cmi.suspend_data", respuestas);
//mm_adl_API.Commit("");
//} 

//else {
		
mm_respuesta = respuestas.split(':');
//alert(mm_respuesta);		
	for(i=0; i<13; i++){
//alert("valor de la i "+i);
	//alert("dentro del for = "+ valor_matricula);
	datos_respuesta = mm_respuesta[i].split(';');
	valor_matricula = datos_respuesta[0];
	valor_respuesta = datos_respuesta[1];
//alert("valor_matricula = "+ valor_matricula);

		if(valor_respuesta == 1) {
		//alert("valor_nota = "+nota);
		nota = nota + 1;
		//alert("nota final = "+nota);
		}
	}
//}



porcentaje = Math.round((nota * 100 ) / 15);
mm_adl_API.LMSSetValue("cmi.core.score.min", 0); // PUNTUACIÓN MINIMA POSIBLE
mm_adl_API.LMSSetValue("cmi.core.score.max", 100); // PUNTUACIÓN MAXIMA POSIBLE
mm_adl_API.LMSSetValue("cmi.core.score.raw", porcentaje); //ESTABLECEMOS LA PUNTUACIÓN

	if(porcentaje>50) {
	mm_adl_API.LMSSetValue("cmi.core.lesson_status", "passed");
	
	mm_adl_API.LMSCommit("");
	}
	else {
	mm_adl_API.LMSSetValue("cmi.core.lesson_status", "completed");
	}
//mm_adl_API.LMSFinish("");
}
};//////////////fin 


